### 5.1.67 janet

`Syntax:`
  `janet (` ideal_expression `)`
  `janet (` ideal_expression `,` int_expression `)`
`Type:`
  ideal
`Purpose:`
  computes the Janet basis of the given ideal, resp. the standard basis if 1 is given as the second argument.
`Remark:`
  It works only with global orderings.
`Example:`

        ring r=0,(x,y,z),dp;
        ideal i=x*y*z-1,x+y+z,x*y+x*z+y*z; // cyclic 3
        janet(i);
      ==> Length of Janet basis: 4
      ==> _[1]=x+y+z
      ==> _[2]=y2+yz+z2
      ==> _[3]=z3-1
      ==> _[4]=yz3-y

See groebner; ideal; std.

User manual for Singular version 4.4.1, 2025, generated by texi2html.